For the complete documentation index, see llms.txt. This page is also available as Markdown.

Coupons

Obter Cupom

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstringObrigatório
Respostas
200

OK

application/json
idstringOpcional
is_activebooleanOpcional
typestring · enumOpcionalValores possíveis:
namestringOpcional
codestringOpcional
value_typestring · enumOpcionalValores possíveis:
valuenumberOpcional
partner_use_limitinteger · int32Opcional
coupon_use_limitinteger · int32Opcional
start_datestring · dateOpcional
end_datestring · dateOpcional
minimum_items_quantitynumberOpcional
minimum_items_valuenumberOpcional
maximum_items_valuenumberOpcional
only_available_for_mobile_appbooleanOpcional
maximum_discount_valuenumberOpcional
only_available_for_first_salebooleanOpcional
allowed_with_free_shipping_discountbooleanOpcional
allowed_with_product_discountbooleanOpcional
allowed_with_order_value_discountbooleanOpcional
maximum_cumulative_discount_valuenumberOpcional
is_partner_specificbooleanOpcional
is_company_specificbooleanOpcional
is_payment_method_specificbooleanOpcional
is_profile_specificbooleanOpcional
is_solution_specificbooleanOpcional
get/coupons/{id}
GET /api/sales/coupons/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "is_active": true,
  "type": "ORDER_VALUE",
  "name": "text",
  "code": "text",
  "value_type": "MONETARY",
  "value": 1,
  "partner_use_limit": 1,
  "coupon_use_limit": 1,
  "start_date": "2026-01-01",
  "end_date": "2026-01-01",
  "minimum_items_quantity": 1,
  "minimum_items_value": 1,
  "maximum_items_value": 1,
  "only_available_for_mobile_app": true,
  "maximum_discount_value": 1,
  "only_available_for_first_sale": true,
  "allowed_with_free_shipping_discount": true,
  "allowed_with_product_discount": true,
  "allowed_with_order_value_discount": true,
  "maximum_cumulative_discount_value": 1,
  "is_partner_specific": true,
  "partners": [
    {
      "id": "text",
      "partner_id": "text",
      "partner_name": "text",
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ],
  "is_company_specific": true,
  "companies": [
    {
      "id": "text",
      "company_id": "text",
      "name": "text",
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ],
  "is_payment_method_specific": true,
  "payment_methods": [
    {
      "id": "text",
      "payment_method_id": "text",
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ],
  "is_profile_specific": true,
  "profiles": [
    {
      "id": "text",
      "profile_id": "text",
      "profile_name": "text",
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ],
  "is_solution_specific": true,
  "solutions": [
    {
      "id": "text",
      "solution_id": "text",
      "solution_name": "text",
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ]
}

Atualizar Cupom

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstringObrigatório
Corpo
is_activebooleanObrigatório
typestring · enumObrigatórioValores possíveis:
namestringObrigatório
codestringOpcional
value_typestring · enumObrigatórioValores possíveis:
valuenumberObrigatório
partner_use_limitinteger · int32Opcional
coupon_use_limitinteger · int32Opcional
start_datestring · dateObrigatório
end_datestring · dateOpcional
minimum_items_quantitynumberObrigatório
minimum_items_valuenumberObrigatório
maximum_items_valuenumberOpcional
only_available_for_mobile_appbooleanObrigatório
maximum_discount_valuenumberOpcional
only_available_for_first_salebooleanObrigatório
allowed_with_free_shipping_discountbooleanObrigatório
allowed_with_product_discountbooleanObrigatório
allowed_with_order_value_discountbooleanObrigatório
maximum_cumulative_discount_valuenumberOpcional
is_partner_specificbooleanObrigatório
is_company_specificbooleanObrigatório
is_payment_method_specificbooleanObrigatório
is_profile_specificbooleanObrigatório
is_solution_specificbooleanObrigatório
Respostas
201

Coupon updated successfully

application/json
idstringOpcional
put/coupons/{id}
PUT /api/sales/coupons/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1188

{
  "is_active": true,
  "type": "ORDER_VALUE",
  "name": "text",
  "code": "text",
  "value_type": "MONETARY",
  "value": 1,
  "partner_use_limit": 1,
  "coupon_use_limit": 1,
  "start_date": "2026-01-01",
  "end_date": "2026-01-01",
  "minimum_items_quantity": 1,
  "minimum_items_value": 1,
  "maximum_items_value": 1,
  "only_available_for_mobile_app": true,
  "maximum_discount_value": 1,
  "only_available_for_first_sale": true,
  "allowed_with_free_shipping_discount": true,
  "allowed_with_product_discount": true,
  "allowed_with_order_value_discount": true,
  "maximum_cumulative_discount_value": 1,
  "is_partner_specific": true,
  "partners": [
    {
      "id": "text",
      "partner_id": "text",
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ],
  "is_company_specific": true,
  "companies": [
    {
      "id": "text",
      "company_id": "text",
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ],
  "is_payment_method_specific": true,
  "payment_methods": [
    {
      "id": "text",
      "payment_method_id": "text",
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ],
  "is_profile_specific": true,
  "profiles": [
    {
      "id": "text",
      "profile_id": "text",
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ],
  "is_solution_specific": true,
  "solutions": [
    {
      "id": "text",
      "solution_id": "text",
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ],
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}
{
  "id": "text"
}

Remover Cupom

delete
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstringObrigatório
Respostas
204

Cupom removed successfully

Sem conteúdo

delete/coupons/{id}
DELETE /api/sales/coupons/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Sem conteúdo

Listar Cupons

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de consulta
searchstringOpcionalDefault: ""
pageinteger · int32OpcionalDefault: 0
perPageinteger · int32OpcionalDefault: 25
sortstringOpcionalDefault: ""
dirstringOpcionalDefault: asc
profileIdstringOpcional
solutionIdstringOpcional
Respostas
200

OK

application/json
idstringOpcional
namestringOpcional
codestringOpcional
value_typestring · enumOpcionalValores possíveis:
coupon_use_limitinteger · int32Opcional
coupon_used_quantityinteger · int32Opcional
statusstring · enumOpcionalValores possíveis:
start_datestring · dateOpcional
end_datestring · dateOpcional
get/coupons
GET /api/sales/coupons HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "name": "text",
  "code": "text",
  "value_type": "MONETARY",
  "coupon_use_limit": 1,
  "coupon_used_quantity": 1,
  "status": "INACTIVE",
  "start_date": "2026-01-01",
  "end_date": "2026-01-01"
}

Criar Cupom

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
idstringOpcional
is_activebooleanObrigatório
typestring · enumObrigatórioValores possíveis:
namestringObrigatório
codestringOpcional
value_typestring · enumObrigatórioValores possíveis:
valuenumberObrigatório
partner_use_limitinteger · int32Opcional
coupon_use_limitinteger · int32Opcional
start_datestring · dateObrigatório
end_datestring · dateOpcional
minimum_items_quantitynumberObrigatório
minimum_items_valuenumberObrigatório
maximum_items_valuenumberOpcional
only_available_for_mobile_appbooleanObrigatório
maximum_discount_valuenumberOpcional
only_available_for_first_salebooleanObrigatório
allowed_with_free_shipping_discountbooleanObrigatório
allowed_with_product_discountbooleanObrigatório
allowed_with_order_value_discountbooleanObrigatório
maximum_cumulative_discount_valuenumberOpcional
is_partner_specificbooleanObrigatório
is_company_specificbooleanObrigatório
is_payment_method_specificbooleanObrigatório
is_profile_specificbooleanObrigatório
is_solution_specificbooleanObrigatório
Respostas
201

Coupon created successfully

application/json
idstringOpcional
post/coupons
POST /api/sales/coupons HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1200

{
  "id": "text",
  "is_active": true,
  "type": "ORDER_VALUE",
  "name": "text",
  "code": "text",
  "value_type": "MONETARY",
  "value": 1,
  "partner_use_limit": 1,
  "coupon_use_limit": 1,
  "start_date": "2026-01-01",
  "end_date": "2026-01-01",
  "minimum_items_quantity": 1,
  "minimum_items_value": 1,
  "maximum_items_value": 1,
  "only_available_for_mobile_app": true,
  "maximum_discount_value": 1,
  "only_available_for_first_sale": true,
  "allowed_with_free_shipping_discount": true,
  "allowed_with_product_discount": true,
  "allowed_with_order_value_discount": true,
  "maximum_cumulative_discount_value": 1,
  "is_partner_specific": true,
  "partners": [
    {
      "id": "text",
      "partner_id": "text",
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ],
  "is_company_specific": true,
  "companies": [
    {
      "id": "text",
      "company_id": "text",
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ],
  "is_payment_method_specific": true,
  "payment_methods": [
    {
      "id": "text",
      "payment_method_id": "text",
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ],
  "is_profile_specific": true,
  "profiles": [
    {
      "id": "text",
      "profile_id": "text",
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ],
  "is_solution_specific": true,
  "solutions": [
    {
      "id": "text",
      "solution_id": "text",
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ],
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}
{
  "id": "text"
}